using APT.Infrastructure.Core;
using APT.MS.Domain.Entities.OG;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
namespace APT.MS.Domain.Entities.OG
{
    /// <summary>
    /// 考核项目
    /// </summary>
    [Description("考核项目")]
    public class T_OG_SAFE_ASSESS_ITEM : MesEntityBase
    {
        /// <summary>
        /// 考核方案ID
        /// </summary>
        [Description("考核方案")]
        [DataFieldForeignKey("Nav_SafeAssessPlanInput", "Nav_SafeAssessItem")]
        public Guid ASSESS_PLAN_INPUT_ID { get; set; }

        /// <summary>
        /// 导航: 考核方案
        /// </summary>
        [Description("导航: 考核方案")]
        public T_OG_SAFE_ASSESS_PLAN_INPUT Nav_SafeAssessPlanInput { get; set; }
        [Description("顺序")]
        public int ROW_NO { get; set; }
        /// <summary>
        /// 考核项目
        /// </summary>
        [Description("考核项目")]
        [FormFieldEdit]
        [DataFieldLength(100)] 
        public string NAME { get; set; }

        /// <summary>
        /// 标准分
        /// </summary>
        [Description("标准分")]
        [FormFieldEdit]
        public decimal? SCORE { get; set; }

        /// <summary>
        /// 考核认定评分办法
        /// </summary>
        [Description("考核认定评分办法")]
        [FormFieldEdit]
        public string METHOD { get; set; }
    }
}
